package com.yeejoin.amos.test;

import com.yeejoin.amos.YeeAmosIec104IntfStart;
import com.yeejoin.amos.iec104.business.param.AlarmParam;
import com.yeejoin.amos.iec104.tcp.client.invoke.GeneralDataQueue;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = YeeAmosIec104IntfStart.class,webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class TestQueue {


    @Test
    public void test() {
        GeneralDataQueue queue = GeneralDataQueue.getInstance();
        AlarmParam alarmParam = new AlarmParam();
        alarmParam.setInformationAddress("1");
        alarmParam.setIsInvalid(0);
        alarmParam.setPointCode("16385");
        alarmParam.setServiceId("S000007");
        alarmParam.setState("1");
        queue.add(alarmParam);
    }
}
